Name:           tinygltf
Version:        2.9.5
Release:        %autorelease -b 2
Summary:        Header only C++11 tiny glTF 2.0 library 

License:        MIT
URL:            https://github.com/syoyo/tinygltf
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  cmake >= 3.6
BuildRequires:  gcc-c++

%description
TinyGLTF is a header only C++11 glTF 2.0 library.

%package        devel
Summary:        Development files for %{name}
License:        MIT
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%cmake -DTINYGLTF_INSTALL_VENDOR=OFF
%cmake_build

%install
%cmake_install

sed -i 's|json.hpp|nlohmann/json.hpp|g' \
        %{buildroot}%{_includedir}/tiny_gltf.h

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so

%files devel
%doc README.md
%{_includedir}/tiny_gltf.h
%{_libdir}/cmake/%{name}/

%changelog
%autochangelog
